% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/getPathwaysFromIndra.R
\name{getPathwaysFromIndra}
\alias{getPathwaysFromIndra}
\title{Get pathways ranked on relevance from INDRA DB}
\usage{
getPathwaysFromIndra(
  annotated_df,
  main_target = "MEN1_HUMAN",
  target_type = "Protein"
)
}
\arguments{
\item{annotated_df}{output of \code{\link[MSstats]{groupComparison}} function's 
comparisionResult table, which contains a list of proteins and their 
corresponding p-values, logFCs, along with additional HGNC ID and HGNC 
name columns}

\item{main_target}{A main target, e.g. main target of a drug or protein of
particular interest}

\item{target_type}{One of either 'Protein' or 'Drug'.  Default is 'Protein'}
}
\value{
df of pathways
}
\description{
Get pathways ranked on relevance from INDRA DB
}
\examples{
annotated_df <- data.table::fread(system.file(
    "extdata/groupComparisonModel.csv",
    package = "MSstatsBioNet"
))
pathways <- getPathwaysFromIndra(annotated_df, "P05067")
head(pathways)

}
